using Quadarax.Foundation.Core.QMonitor.Attributes;

namespace Quadarax.Foundation.Core.QMonitor.Emit.TestStructures
{
    [MonitoredClass(Caption = "Logged User", Description = "Shows current logged user", ViewType = MonItemGeneral.MonViewType.List, TTL = 5000)]
    public class LoggedUser
    {
        [MonitoredProperty(Label = "Id", Description = "User Id")]
        public long Id { get; set; }
        [MonitoredProperty(Label = "Login", Description = "User Login")]
        public string Login { get; set; }
        [MonitoredProperty(Label = "First Name", Description = "User First Name")]
        public string FirstName { get; set; }
        [MonitoredProperty(Label = "Last Name", Description = "User Last Name")]
        public string LastName { get; set; }
    }
}
